Loading...
Searching...
No Matches
vkd3d_shader_push_constant_buffer Struct Reference

Describes the mapping of a Direct3D constant buffer to a range of push constants in the target environment. More...

`#include <vkd3d_shader.h>`

## Data Fields

unsigned int | register_space
| Register space of the Direct3D resource.
unsigned int | register_index
| Register index of the Direct3D resource.
enum vkd3d_shader_visibility | shader_visibility
| Shader stage(s) to which the resource is visible.
unsigned int | offset
| Offset, in bytes, of the target push constants.
unsigned int | size
| Size, in bytes, of the target push constants.

## Detailed Description

Describes the mapping of a Direct3D constant buffer to a range of push constants in the target environment.

This structure is used in struct vkd3d_shader_interface_info.

## Field Documentation

## register_space

unsigned int vkd3d_shader_push_constant_buffer::register_space

Register space of the Direct3D resource.

If the source format does not support multiple register spaces, this parameter must be set to 0.

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h